Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1081 - GLINT Verify fails in various ways
Summary: GLINT Verify fails in various ways
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glint
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-08 19:49 UTC by alan
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-23 00:02:29 UTC


Attachments (Terms of Use)

Description alan 1999-02-08 19:49:05 UTC
When verifying the package base/basesystem4.9-3 we get the
following errors on the startup terminal, followed by a dead
checkup reporting screen

[root@cyclone local]# glint
Glint Graphical Package Manager -- version 2.6.2
Copyright (C) 1998 - Red Hat Software
This may be freely redistributed under the terms of the GNU
Public License
Exception in Tkinter callback
Traceback (innermost last):
  File
"/var/tmp/python-root/usr/lib/python1.5/lib-tk/Tkinter.py",
line 752, in __call__
    return apply(self.func, args)
  File "./area.py", line 46, in call
    self.command(self.arg)
  File "./area.py", line 352, in menuCall
    command(packages)
  File "./glintw.py", line 58, in verify
    DoVerify(packages)
  File "./verify.py", line 182, in DoVerify
    VerifyPackage(package, win)
  File "./verify.py", line 144, in VerifyPackage
    for file in package.getFileEntries():
  File "./package.py", line 157, in getFileEntries
    for i in range(len(fileNames)):
TypeError: len() of unsized object
[root@cyclone local]#


When verifying the package base/dev2.5.9-1, GLINT crashes
and exits with no diagnostic messages.

By the way, we really do like GLINT -- hope there will be
some updates eventually...

-alan

Comment 1 David Lawrence 1999-02-10 20:06:59 UTC
I have verified this to happen on a test machine as reported. This
report has been passed on to a developer.

Comment 2 Bill Nottingham 1999-03-23 00:02:59 UTC
glint is being removed from the distribution. Sorry.


Note You need to log in before you can comment on or make changes to this bug.